### Method

# Hex Buffer write_to_file_async

#### Declaration

    void
    hex_buffer_write_to_file_async (
      HexBuffer* self,
      GFile* file,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Write the buffer to the `GFile` specified. This is the non-blocking version of `hex_buffer_write_to_file()`.

This method completes asynchronously. Use `hex_buffer_write_to_file_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to write to.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to be called when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.